Error
A valid request URL is required to generate request examples{
"id": "<string>",
"object": "terminal_settlement_profile",
"merchant_id": "<string>",
"livemode": true,
"created_at": 123
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Terminal batches
Retrieve a Terminal settlement profile
Retrieves one stable Ionic settlement grouping.
GET
/
settlement_profiles
/
{id}
Error
A valid request URL is required to generate request examples{
"id": "<string>",
"object": "terminal_settlement_profile",
"merchant_id": "<string>",
"livemode": true,
"created_at": 123
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Merchant secret key, or an authorized Platform secret key with delegation where documented.
Headers
Merchant ID when an authorized Platform acts for a connected Merchant.
Pattern:
^mer_[0-9A-Za-z]{14}$Path Parameters
Ionic settlement profile ID.
Pattern:
^stlp_[0-9A-Za-z]{24}$Response
The settlement profile.
Unique identifier for the settlement profile (stlp_…).
Pattern:
^stlp_[0-9A-Za-z]{24}$Available options:
terminal_settlement_profile ID of the account that owns the settlement profile (mer_…).
Pattern:
^mer_[0-9A-Za-z]{14}$Unix epoch seconds when the settlement profile was created.

